<template>
    <v-dialog
        persistent
        v-model="register"
        max-width="650px"
        transition="dialog-bottom-transition"
        scrollable
      >
      <v-card tile>
          <v-toolbar card color="#fff">
              <v-icon>arrow_back</v-icon>
            <v-toolbar-title>Register</v-toolbar-title>
            <v-spacer></v-spacer>
          </v-toolbar>
          <v-card-text>
            <v-form>   
                <v-text-field
                    name="name"
                    label="Full Name"
                    :v-model="auth.reg_name"
                    :rules="validateRules"
                ></v-text-field>
                <v-text-field
                    name="email"
                    label="Email"
                    :v-model="auth.reg_email"
                    :rules="validateRules"
                    type="email"
                ></v-text-field>
                <div class="relative">
                    <v-text-field
                        name="mobile"
                        label="Mobile"
                        :mask="mobileMask"
                        :v-model="auth.reg_mobile"
                        :rules="mobileRules"
                        type="tel"
                    ></v-text-field>
                    <v-btn small flat class="_sendcode">Send OTP</v-btn>
                </div>
                <v-text-field
                    name="mobile_code"
                    label="Code"
                    :v-model="auth.reg_code"
                    :rules="validateRules"
                    type="tel"
                ></v-text-field>
                <v-text-field
                    name="password"
                    label="Password"
                    :v-model="auth.reg_pass"
                    :rules="validateRules"
                    type="password"
                ></v-text-field>
                <v-checkbox 
                    v-model="auth.terms"
                    label="I accept terms and condition"
                    ></v-checkbox>  
                <v-btn
                    block
                    large
                    color="secondary">Register</v-btn>
                <div class="text_center">Already Register? <strong class="pointer" @click="loginScreen">Log In</strong></div>
            </v-form>
          </v-card-text>
      </v-card>
    </v-dialog>


</template>
<script>
export default {
    props: ['register', 'order'],
    data () {
        return {
            mobileMask: 'phone',
            validateRules: [],
            mobileRules: [
                v => !!v && v.length >= 10 || 'Mobile must be 10 digit number'
            ],
            validateRules: [
                v => !!v || 'This field is required'
            ],
            auth: []
        }
    },
    methods: {
        loginScreen: function () {
            this.order.login_screen = true;
            var t = this;
            setTimeout(function () {
                t.order.register_screen = false;
            }, 200); 
        }
    }
}
</script>
